GET
v1.0.0stableList sources
List sources by page, including basic settings, subscription URLs and app counts.
GET
/api/appstore/manage/sourcesप्राधिकृत करें:Bearer Token
सीमा:60/मिनट
अनुरोध पैरामीटर
सभी पैरामीटर क्वेरी या बॉडी के माध्यम से भेजे जा सकते हैं
| पैरामीटर | प्रकार | आवश्यक | विवरण |
|---|---|---|---|
page | integer | वैकल्पिक | Page number, starting from 1 उदाहरण: 1 |
page_size | integer | वैकल्पिक | Items per page: up to 100 sources or 200 apps उदाहरण: 20 |
प्रतिक्रिया
| पैरामीटर | प्रकार | आवश्यक | विवरण |
|---|---|---|---|
code | integer | आवश्यक | 1 indicates success; otherwise a token, validation or source error code उदाहरण: 1 |
msg | string | आवश्यक | Localized result message उदाहरण: 获取成功 |
time | integer | आवश्यक | Unix timestamp in seconds |
data | object | आवश्यक | Allowlisted fields visible to the source owner |
प्रतिक्रिया उदाहरण
{}
"code":1,
"msg":"Operation successful",
"time":1780000000,
"data":
{}
"list":
[]
,{}
"source_id":"12345678",
"name":"我的软件源",
"source_url":"/api/rjy/12345678/appstore",
"message":"欢迎使用",
"encrypt_enabled":1,
"force_encrypt":0,
"app_count":0
"total":1,
"page":1,
"pages":1
त्रुटि कोड
त्रुटि कोड4 परिभाषित
10अमान्य टोकन
Token is invalid or rotated; HTTP 401
11टोकन समाप्त हो गया
Token has expired; HTTP 401
40001Source not found
Source is missing or not owned by this user/tenant; HTTP 404
प्रतिक्रिया भाषा
एक्स-लैंग हेडर के साथ एपीआई प्रतिक्रिया भाषा को अनुकूलित करें। नीचे दिए गए कोड उदाहरण स्वचालित रूप से आपकी वर्तमान साइट भाषा का उपयोग करते हैं।
अनुशंसित हैडर
X-Lang: hiसमर्थित भाषा
zh, en, zh-TW, vi, ar, es, ruस्वीकार्य भाषा का समर्थन भी किया जाता है; एक्स-लांग प्राथमिकता लेता है। समर्थित भाषाएं साइट भाषा के पतन का पालन करती हैं।
कोड उदाहरण
curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources?page=1&page_size=20" \
-H "X-Lang: hi" \
-H "Authorization: Bearer YOUR_API_TOKEN"नोट्स
- Only sources owned by the API token user on the current site can be managed.
- Use HTTPS. Administrator-only fields such as uid, tenant_id, is_official and expiry time are rejected.
- Responses omit owner identities, draft internals and secrets; creating sources/apps is subject to subscription, trial and quota limits.
कंसोल में आज़माएं
नीचे दिए गए पैरामीटर भरें और परीक्षण के लिए अनुरोध भेजें। अनुरोध केवल इस साइट के API पर ही जाता है; URL लॉक है और इसे बदला नहीं जा सकता, और आपका वर्तमान लॉगिन कुकी शामिल है।
GET
https://testypro.iwai.cc/api/appstore/manage/sources?page=1&page_size=20इस साइट के लिए लॉक किया गया हैinteger
Page number, starting from 1
integer
Items per page: up to 100 sources or 200 apps